dcf77(1)

NAME
dcf77 - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
dcf77 [-a hw:0,0] [<options>]

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given!

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-a --audio-device hw:<card>,<device>

    Sound card and device number (default = '')

-s --samplerate <rate>

    Sample rate of sound device (default = '192000')

-b --buffer <ms>

    How many milliseconds are processed in advance (default = '50') A buffer below 10 ms requires low interval like 0.1 ms.

-T --tx

    Transmit time signal (default)

-R --rx

    Receive time signal

-F --fake

    Use given time stamp: <year> <month> <day> <hour> <min> <sec>. All values have to be numerical. The year must have 4 digits.

--feierabend

--end-of-working-day

    Use fake time stamp that equals 5 O'Clock PM.

--geburtstag

--birthday

    Use fake time stamp that equals birth of the author.

-W --weather <weather> <extreme> <rain> <wind dir> <wind bft> <temperature>

    Send these weather info for all regions / all days. See -L for infos on values. weather = 1..15 for common day and night weather. weather = 1..15,1..15 for specific day and night weather. extreme = 0..15 for extreme weather conditions. rain = 0..100 for rain/show probability. (closest is used) wind dir = N | NE | E | SE | S | SW | W | NW | 0 for wind direction. wind bft = <bft> for wind speed in bft. (closest is used) temerature = <celsius> for common min and max temperature. temerature = <celsius>,<celsius> for specific min and max temperature.

--beach-party

    Beach weather, equivalent to -W 1 0 0 0 2 35,20

--santa-claus

--muenster-2005

    Deep snow, equivalent to -W 7 1 100 E 3 1,-1

-A --at-region <region> <advance minutes>

    Alter time, so that the weather of the given region is transmitted. To allow the receiver to sync, give time to advance in minutes.

-L --list

    List all regions / weather values.

-C --city <name fragment>

    Search for city (case insensitive) and display its region code.

-D --double-amplitude

    Transmit with double amplitude by using differential stereo output.

--test-tone

    Transmit a test tone (10% level, 1000 Hz) with the carrier.

-r --realtime <prio>

    Set prio: 0 to disable, 99 for maximum (default = 0)

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

Press 'w' key to toggle display of RX wave form. Press 'm' key to toggle display of measurement values.